Debian Bug report logs - #683639
RFP: libapache-sshd-java -- java server and client implementation of the SSH protocol

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Thomas Koch <thomas@koch.ro>

Date: Thu, 2 Aug 2012 12:51:18 UTC

Severity: wishlist

Fix blocked by 685234: RFP: libjpam-java -- JPAM permits the use of PAM authentication facilities by Java

Blocking fix for 589436: ITP: gerrit -- Web based code review and project management for Git based projects

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, thomas@koch.ro, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#683639; Package wnpp. (Thu, 02 Aug 2012 12:51:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Koch <thomas@koch.ro>:
New Bug report received and forwarded. Copy sent to thomas@koch.ro, debian-devel@lists.debian.org, wnpp@debian.org. (Thu, 02 Aug 2012 12:51:21 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Koch <thomas@koch.ro>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: apache-sshd -- java server and client implementation of the SSH protocol
Date: Thu, 02 Aug 2012 14:50:47 +0200
Package: wnpp
Severity: wishlist
Owner: Thomas Koch <thomas@koch.ro>

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

* Package name    : apache-sshd
  Version         : 0.7.0
  Upstream Author : Apache Software Foundation
* URL             : http://mina.apache.org/sshd
* License         : Apache
  Programming Lang: Java
  Description     : java server and client implementation of the SSH protocol

  This library is based on Apache MINA. It provides support for Java based
  applications requiring SSH support.


This library is a dependency for the Gerrit review system.

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQGnekAAoJEAf8SJEEK6ZaKzYP/1+I9Edj8BJ+hJv/mtmC4PgK
zhA+QtygUmwSP39bDuMBMhbl4OzPWOggLAAimJrCf3r/iNyN82zrbwe0sjHvmJvE
UMqOUXv/sfZS+WSs4Y0DqM7yqdbgBur+VgSwlGTmzPIotsuMTpGMQYjpH7k7V96v
fnR54Bm3S6BFmMH1lx6M6C/7P7ycOblaWJVbk3+IcRfc8vzK5hiql3Af6frLOXKB
vLDkJLqwawtOUhBAzOH3ghC8d/1O+38HqcS6p0RrD7yk/WhF76PQOeQJJakonEqC
6z1moJiIMpAGy19Z7s27kLE07bbkZHjZV4RRiq2IJ4Ad1lIg10s+w3dBl2cZAtcZ
LXOe7pkHoCTZfF6+/gR2N1heJzIrgOzQ6z5yKfqBR2F4s07iYvQ3mnnbxauerD5W
tq4v3GZtv4INTNMquJPpWPcvABjHkIWEVJCMKb57UW6llwQMxbEgolAzcPRXdQO0
u3Jw4ZRDcxaBaw8l0rY/yNA5hSkOTi/hOygO0a9f+Rvkamm0JeXD+J/uhK1xme52
iU6FmnCSySR8A/2RwA6g5XeKEtpKYpgvrdYJCpd47BKtupJ5ubUQwXoc4MgrM/uG
dUsjkB0A6TgeddrTbonG3J86wQn0DaGcLq/7FP//1L99daulhbGdFBy3OWvoFWoS
h/5ZQnKWlPNpwaC9oizY
=3fhq
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Thomas Koch <thomas@koch.ro>:
Bug#683639; Package wnpp. (Thu, 02 Aug 2012 13:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantin Khomoutov <flatworm@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Thomas Koch <thomas@koch.ro>. (Thu, 02 Aug 2012 13:27:07 GMT) Full text and rfc822 format available.

Message #10 received at 683639@bugs.debian.org (full text, mbox):

From: Konstantin Khomoutov <flatworm@users.sourceforge.net>
To: Thomas Koch <thomas@koch.ro>, 683639@bugs.debian.org
Subject: Re: Bug#683639: ITP: apache-sshd -- java server and client implementation of the SSH protocol
Date: Thu, 2 Aug 2012 17:11:13 +0400
On Thu, 02 Aug 2012 14:50:47 +0200
Thomas Koch <thomas@koch.ro> wrote:

[...]
> * Package name    : apache-sshd
>   Version         : 0.7.0
>   Upstream Author : Apache Software Foundation
> * URL             : http://mina.apache.org/sshd
> * License         : Apache
>   Programming Lang: Java
>   Description     : java server and client implementation of the SSH
> protocol
> 
>   This library is based on Apache MINA. It provides support for Java
> based applications requiring SSH support.
> 
> 
> This library is a dependency for the Gerrit review system.

$ apt-cache search apache|grep ^apache
apache2 - Apache HTTP Server metapackage
apache2-dbg - Apache debugging symbols
apache2-doc - Apache HTTP Server documentation
apache2-mpm-event - Apache HTTP Server - event driven model
apache2-mpm-itk - multiuser MPM for Apache 2.2
apache2-mpm-prefork - Apache HTTP Server - traditional non-threaded model
apache2-mpm-worker - Apache HTTP Server - high speed threaded model
apache2-prefork-dev - Apache development headers - non-threaded MPM
apache2-suexec - Standard suexec program for Apache 2 mod_suexec
apache2-suexec-custom - Configurable suexec program for Apache 2 mod_suexec
apache2-threaded-dev - Apache development headers - threaded MPM
apache2-utils - utility programs for webservers
apache2.2-bin - Apache HTTP Server common binary files
apache2.2-common - Apache HTTP Server common files
apachetop - Realtime Apache monitoring tool

So I would say "apache-sshd" is not a good name: it immediately hints
the package somehow relates to the Apache web server (as that's how 99.9%
people regard this name).
Wouldn't it be better re name it something like "libssh-java" (please
consider checking out the results of running
$ apt-cache search java | grep '^lib.*-java'
for the rationale behind this proposition.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Thomas Koch <thomas@koch.ro>:
Bug#683639; Package wnpp. (Fri, 03 Aug 2012 08:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to thomas@koch.ro:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Thomas Koch <thomas@koch.ro>. (Fri, 03 Aug 2012 08:09:05 GMT) Full text and rfc822 format available.

Message #15 received at 683639@bugs.debian.org (full text, mbox):

From: Thomas Koch <thomas@koch.ro>
To: Konstantin Khomoutov <flatworm@users.sourceforge.net>
Cc: 683639@bugs.debian.org
Subject: Re: Bug#683639: ITP: apache-sshd -- java server and client implementation of the SSH protocol
Date: Fri, 3 Aug 2012 10:03:51 +0200
Control: retitle -1 ITP: libapache-sshd-java -- java server and client implementation of the SSH protocol

Konstantin Khomoutov:
> ITP: apache-sshd -- java server and client implementation of the SSH
> protocol

I don't want to claim the generic sshd name since there are even 
several java implementations of SSH so I included "apache" in the 
name.

Thomas Koch, http://www.koch.ro



Changed Bug title to 'ITP: libapache-sshd-java -- java server and client implementation of the SSH protocol' from 'ITP: apache-sshd -- java server and client implementation of the SSH protocol' Request was from Thomas Koch <thomas@koch.ro> to 683639-submit@bugs.debian.org. (Fri, 03 Aug 2012 08:09:05 GMT) Full text and rfc822 format available.

Added indication that bug 683639 blocks 589436 Request was from Thomas Koch <thomas@koch.ro> to control@bugs.debian.org. (Fri, 17 Aug 2012 19:06:09 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 683639: 685234 Request was from Thomas Koch <thomas@koch.ro> to control@bugs.debian.org. (Sat, 18 Aug 2012 15:03:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Thomas Koch <thomas@koch.ro>:
Bug#683639; Package wnpp. (Tue, 16 Oct 2012 14:27:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to thomas@koch.ro:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Thomas Koch <thomas@koch.ro>. (Tue, 16 Oct 2012 14:27:13 GMT) Full text and rfc822 format available.

Message #26 received at 683639@bugs.debian.org (full text, mbox):

From: Thomas Koch <thomas@koch.ro>
To: 678649@bugs.debian.org, 681924@bugs.debian.org, 685871@bugs.debian.org, 683642@bugs.debian.org, 683639@bugs.debian.org, 685873@bugs.debian.org, 681920@bugs.debian.org, 685879@bugs.debian.org, 681918@bugs.debian.org, 589436@bugs.debian.org
Cc: Holger Levsen <holger@layer-acht.org>, debian-java@lists.debian.org
Subject: Status of gerrit packaging
Date: Tue, 16 Oct 2012 16:24:38 +0200
Hi,

I've been waiting for a new version (with a fix) of apache-mina-sshd to be 
released to continue working on the Gerrit packaging. Currently all essential
dependencies are preliminary packaged and available in Git repos:

http://anonscm.debian.org/gitweb/?p=pkg-java/libprolog-cafe-java.git
http://anonscm.debian.org/gitweb/?p=pkg-java/libmime-util-java.git
http://anonscm.debian.org/gitweb/?p=pkg-java/libmina-sshd-java.git
http://anonscm.debian.org/gitweb/?p=pkg-java/libjpam-java.git
http://anonscm.debian.org/gitweb/?p=pkg-java/libjuniversalchardet-java.git
http://anonscm.debian.org/gitweb/?p=pkg-java/libgwtorm-java.git
http://anonscm.debian.org/gitweb/?p=pkg-java/libgwtjsonrpc-java.git
http://anonscm.debian.org/gitweb/?p=pkg-java/libgwtexpui-java.git

I don't ask for sponsorship yet since we're in freeze and the packages still 
need a final review: copyright, pbuilder test, lintian. If however somebody
wants to review and upload them to experimental I'd be more than happy!

These bugs with patches available block gerrit, we just need to wait:

dpkg: 683547 dpkg-source fails on a patch series deleting a file after patching
guice: 685871 servlet extension for guice
gwt: 681923 please install to debian maven repo

The following dependencies are not critical and I'll try to patch them out:

685875: RFP: parboiled -- parser library based on Parsing expression grammars
685874: RFP: libpegdown-java -- lightweight Java Markdown processor library
683642: ITP: gwt-maven-plugin -- maven plugin to compile Google Web Toolkit applications
607891: RFP: h2database -- relational database management system written in Java

I'll try to get gerrit working before continuing to work on the dependencies.

Best regards,

Thomas Koch, http://www.koch.ro



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Thomas Koch <thomas@koch.ro>:
Bug#683639; Package wnpp. (Wed, 21 Aug 2013 13:49:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Thomas Koch <thomas@koch.ro>. (Wed, 21 Aug 2013 13:49:36 GMT) Full text and rfc822 format available.

Message #31 received at 683639@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 683639@bugs.debian.org
Cc: control@bugs.debian.org
Subject: libapache-sshd-java: changing back from ITP to RFP
Date: Wed, 21 Aug 2013 15:44:10 +0200
retitle 683639 RFP: libapache-sshd-java -- java server and client implementation of the SSH protocol
noowner 683639
tag 683639 - pending
thanks

Hi,

A long time ago, you expressed interest in packaging libapache-sshd-java. Unfortunately,
it seems that it did not happen. In Debian, we try not to keep ITP bugs open
for a too long time, as it might cause other prospective maintainers to
refrain from packaging the software.

This is an automatic email to change the status of libapache-sshd-java back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 10 months.

If you are still interested in packaging libapache-sshd-java, please send a mail to
<control@bugs.debian.org> with:

 retitle 683639 ITP: libapache-sshd-java -- java server and client implementation of the SSH protocol
 owner 683639 !
 thanks

It is also a good idea to document your progress on this ITP from time to
time, by mailing <683639@bugs.debian.org>.  If you need guidance on how to
package this software, please reply to this email, and/or contact the
debian-mentors@lists.debian.org mailing list.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: libapache-sshd-java -- java server and client implementation of the SSH protocol' from 'ITP: libapache-sshd-java -- java server and client implementation of the SSH protocol' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 21 Aug 2013 13:52:49 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Thomas Koch <thomas@koch.ro>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 21 Aug 2013 13:52:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:12:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.